image: python:3.8

stages:
  - test
  - deploy


unit-test:
  stage: test
  script:
    - pip install pipenv
    - pipenv install --system --dev
    - pipenv run pytest --cov=src test/ --junitxml=report.xml
    - coverage xml
  coverage: '/^TOTAL.+?(\d+\%)$/'
  artifacts:
    reports:
      cobertura: coverage.xml
      junit: report.xml
  only:
    - master
    - merge_request
    - dev
variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
sonarcloud-check:
  image: 
    name: sonarsource/sonar-scanner-cli:latest
    entrypoint: [""]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - sonar-scanner   
  only:
    - merge_requests
    - master
    - dev
